For the complete documentation index, see llms.txt. This page is also available as Markdown.

Pairs List

This method returns the list of all public pairs available on PointPay Exchange.

Details

GET https://api.pointpay.io/api/v1/public/markets

CURL Example
curl -X GET "https://api.pointpay.io/api/v1/public/markets" -H "accept: application/json"

Response parameters:

Name
Type
Description

name

STRING

Pair name

moneyPrec

NUMERIC

Precision of money currency

stock

STRING

Ticker of stock currency

money

STRING

Ticker of money currency

stockPrec

NUMERIC

Precision of stock currency

feePrec

NUMERIC

Precision of fee

minAmount

NUMERIC

Minimal amount of stock to trade

Response example:

{
    "code": 200,
    "success": true,
    "message": "",
    "result": [
        {
            "name": "SSV_USDT",
            "moneyPrec": 8,
            "stock": "SSV",
            "money": "USDT",
            "stockPrec": 8,
            "feePrec": 8,
            "minAmount": "0.001"
        },
        ...
  ]
}

Response example:

This error occurs in the following cases:

  • Invalid URL

  • Request contains invalid headers

Response example:

This error occurs in the following cases:

  • The requested URL was not found

With Authentication

This public endpoint can also be used as a POST request with authentication (similar to private endpoints) to allow you to access more data.

POST https://api.pointpay.io/api/v1/public/markets

Headers

Name
Type
Description

X-TXC-APIKEY*

STRING

Public API key

X-TXC-PAYLOAD*

STRING

Сonverted Base64 string containing body JSON

X-TXC-SIGNATURE*

STRING

Encrypted HmacSHA512 string containing body JSON with a API secret key

Request Body

Name
Type
Description
Example

request*

STRING

A request path without the domain name

/api/v1/public/markets

nonce*

NUMERIC

A 13-character number that must always be greater than the nonce of the previous completed request (we suggest generating a nonce as the UNIX timestamp in milliseconds)

1704070810000

CURL Example

Response example:

Response example:

This error occurs in the following cases:

  • The request was signed incorrectly.

  • Some of the provided parameters are incorrect.

  • Provided nonce is incorrect or less than on previous completed request

  • The base URL or path is incorrect.

  • The API keys are not activated.

Response example:

This error occurs in the following cases:

  • The request was made with undefined data and the service cannot find the data for response.

Last updated